# Ad Exchange Seller API . customchannels

## Instance Methods

Returns the adunits Resource.

Get the specified custom channel from the specified ad client.

List all custom channels in the specified ad client for this Ad Exchange account.

Retrieves the next page of results.

### Method Details

`get(adClientId, customChannelId)`

    Get the specified custom channel from the specified ad client.

    Args:
      adClientId: string, Ad client which contains the custom channel. (required)
      customChannelId: string, Custom channel to retrieve. (required)

    Returns:
      An object of the form:

        {
        "kind": "adexchangeseller#customChannel", # Kind of resource this is, in this case adexchangeseller#customChannel.
        "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
        "targetingInfo": { # The targeting information of this custom channel, if activated.
          "location": "A String", # The locations in which ads appear. (Only valid for content and mobile content ads). Acceptable values for content ads are: TOP_LEFT, TOP_CENTER, TOP_RIGHT, MIDDLE_LEFT, MIDDLE_CENTER, MIDDLE_RIGHT, BOTTOM_LEFT, BOTTOM_CENTER, BOTTOM_RIGHT, MULTIPLE_LOCATIONS. Acceptable values for mobile content ads are: TOP, MIDDLE, BOTTOM, MULTIPLE_LOCATIONS.
          "adsAppearOn": "A String", # The name used to describe this channel externally.
          "siteLanguage": "A String", # The language of the sites ads will be displayed on.
          "description": "A String", # The external description of the channel.
        },
        "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
        "name": "A String", # Name of this custom channel.
      }

`list(adClientId, pageToken=None, maxResults=None)`

    List all custom channels in the specified ad client for this Ad Exchange account.

    Args:
      adClientId: string, Ad client for which to list custom channels. (required)
      pageToken: string, A continuation token, used to page through custom channels. To retrieve the next page, set this parameter to the value of "nextPageToken" from the previous response.
      maxResults: integer, The maximum number of custom channels to include in the response, used for paging.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Continuation token used to page through custom channels. To retrieve the next page of results, set the next request's "pageToken" value to this.
        "items": [ # The custom channels returned in this list response.
          {
            "kind": "adexchangeseller#customChannel", # Kind of resource this is, in this case adexchangeseller#customChannel.
            "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
            "targetingInfo": { # The targeting information of this custom channel, if activated.
              "location": "A String", # The locations in which ads appear. (Only valid for content and mobile content ads). Acceptable values for content ads are: TOP_LEFT, TOP_CENTER, TOP_RIGHT, MIDDLE_LEFT, MIDDLE_CENTER, MIDDLE_RIGHT, BOTTOM_LEFT, BOTTOM_CENTER, BOTTOM_RIGHT, MULTIPLE_LOCATIONS. Acceptable values for mobile content ads are: TOP, MIDDLE, BOTTOM, MULTIPLE_LOCATIONS.
              "adsAppearOn": "A String", # The name used to describe this channel externally.
              "siteLanguage": "A String", # The language of the sites ads will be displayed on.
              "description": "A String", # The external description of the channel.
            },
            "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
            "name": "A String", # Name of this custom channel.
          },
        ],
        "kind": "adexchangeseller#customChannels", # Kind of list this is, in this case adexchangeseller#customChannels.
        "etag": "A String", # ETag of this response for caching purposes.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.